## org.apache.log4j.jmx
Class LayoutDynamicMBean

    java.lang.Object
      org.apache.log4j.jmx.AbstractDynamicMBean
          org.apache.log4j.jmx.LayoutDynamicMBean

All Implemented Interfaces:
  javax.management.DynamicMBean, javax.management.MBeanRegistration

    public class LayoutDynamicMBean

extends AbstractDynamicMBean

Constructor Summary
`LayoutDynamicMBean(Layout layout)`

Method Summary
`java.lang.Object` `getAttribute(java.lang.String attributeName)`
`protected Logger` `getLogger()`
`javax.management.MBeanInfo` `getMBeanInfo()`
`java.lang.Object` `invoke(java.lang.String operationName, java.lang.Object[] params, java.lang.String[] signature)`
`void` `setAttribute(javax.management.Attribute attribute)`

Methods inherited from class org.apache.log4j.jmx.AbstractDynamicMBean
`getAttributes, postDeregister, postRegister, preDeregister, preRegister, setAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LayoutDynamicMBean

    public LayoutDynamicMBean(Layout layout)
                       throws java.beans.IntrospectionException

Throws:
  `java.beans.IntrospectionException`

Method Detail

### getMBeanInfo

    public javax.management.MBeanInfo getMBeanInfo()

### invoke

    public java.lang.Object invoke(java.lang.String operationName,
                                   java.lang.Object[] params,
                                   java.lang.String[] signature)
                            throws javax.management.MBeanException,
                                   javax.management.ReflectionException

  Throws:
    `javax.management.MBeanException`
    `javax.management.ReflectionException`

### getLogger

    protected Logger getLogger()

  Specified by:
    `getLogger` in class `AbstractDynamicMBean`

### getAttribute

    public java.lang.Object getAttribute(java.lang.String attributeName)
                                  throws javax.management.AttributeNotFoundException,
                                         javax.management.MBeanException,
                                         javax.management.ReflectionException

  Throws:
    `javax.management.AttributeNotFoundException`
    `javax.management.MBeanException`
    `javax.management.ReflectionException`

### setAttribute

    public void setAttribute(javax.management.Attribute attribute)
                      throws javax.management.AttributeNotFoundException,
                             javax.management.InvalidAttributeValueException,
                             javax.management.MBeanException,
                             javax.management.ReflectionException

  Throws:
    `javax.management.AttributeNotFoundException`
    `javax.management.InvalidAttributeValueException`
    `javax.management.MBeanException`
    `javax.management.ReflectionException`

Copyright © 1999-2007 Apache Software Foundation. All Rights Reserved.